View Issue Details

IDProjectCategoryView StatusLast Update
0003723GNUnetcadet servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003723: cadet leaves sock file around (and only cadet)
DescriptionMar 23 15:42:44-808068 arm-12186 WARNING Unable to bind listening socket for service `cadet' to address `/tmp/gnunet-system-runtime//gnunet-service-cadet.sock': Address already in use
Additional InformationWhat is particularly odd is that this only seems to happen with CADET. Could be because CADET is the only service still crashing regularly though...
TagsNo tags attached.

Relationships

related to 0003842 closedChristian Grothoff Error: util-3140, Revision 35949 
related to 0003794 closedBart Polot cadet use after free valgrind report (on shutdown, with crash) 

Activities

Christian Grothoff

2015-07-13 16:53

manager   ~0009429

Fixed in SVN 36065.

Issue History

Date Modified Username Field Change
2015-03-23 15:42 Christian Grothoff New Issue
2015-03-23 15:42 Christian Grothoff Status new => assigned
2015-03-23 15:42 Christian Grothoff Assigned To => Bart Polot
2015-06-19 06:52 Christian Grothoff Relationship added related to 0003842
2015-06-19 06:52 Christian Grothoff Relationship added related to 0003794
2015-07-13 16:53 Christian Grothoff Note Added: 0009429
2015-07-13 16:53 Christian Grothoff Status assigned => resolved
2015-07-13 16:53 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-07-13 16:53 Christian Grothoff Resolution open => fixed
2015-07-13 16:53 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2015-07-13 16:53 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed